Subject: [eap] Length too large

From: [email-masked] (Jari Arkko)
Date: Wed, 14 May 2003 15:24:54 +0300

The description of the Length field is as follows:

       The Length field is two octets and indicates the length of the EAP
       packet including the Code, Identifier, Length and Data fields.
       Octets outside the range of the Length field should be treated as
       Data Link Layer padding and should be ignored on reception.

What happens if the Length field indicates a length greater than
the received number of octets? Perhaps this should also be specified:

       A message with the Length field set to a value larger than the
       number of received octets MUST be silently discarded.

Also, perhaps change "should be ignored" to "MUST be ignored".

--Jari